html {
  height: max-content;
  --color1: #F0F2F5;
  --color2: #27292C;
  --color3: #1F2124;
  --color4: #E8EAED;
}

body {
  display: flex;
  flex-direction: column;
  height: max-content;
}

.align-center {
  align-items: center;
}

.app-purpose {
  font-size: small;
  color: gray;
}

.between {
  justify-content: space-between;
}

.bg-dark {
  background-color: var(--color3);
  color: white;
}

.bg-dark select,
textarea {
  color: white;
}

.border {
  border: 1px solid var(--color2);
}

.border-none {
  border: none !important;
}

.btn {
  all: unset;
  align-content: center;
  background-color: var(--color3);
  border-radius: 4px;
  color: white;
  cursor: pointer;
  height: fit-content;
  line-height: 3em;
  padding: 0em 1em;
  white-space: nowrap;
}

.btn.disabled {
  background-color: grey;
  cursor: not-allowed;
}

.btn.disabled:hover {
  background-color: grey;
}

.btn-danger {
  background-color: darkred;
  color: white;
}

.btn-danger:hover {
  background-color: red;
}

.btn-dark {
  background-color: var(--color1);
  color: black;
}

.btn-dark:hover {
  background-color: var(--color4);
}

.btn-small {
  font-size: small;
}

.btn:hover {
  background-color: var(--color2);
}

.button {
  display: block;
  position: absolute;
  bottom: 0;
}

.center {
  align-items: center;
  justify-content: center;
  text-align: center;
}

.em-1 {
  height: 1.2em;
  margin: 10px;
}

.f-l {
  font-size: large;
}

.f-m {
  font-size: medium;
}

.f-s {
  font-size: small;
}

.f-xl {
  font-size: x-large;
}

.f-xs {
  font-size: x-small;
}

.f-xxl {
  font-size: xx-large;
}

.flex {
  display: flex;
  flex-wrap: wrap;
}

.flex-column {
  flex-direction: column;
}

.flow-window {
  background: white;
  border-radius: 10px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
  bottom: 0;
  height: 70%;
  left: 0;
  overflow: auto;
  padding: 1em;
  position: absolute;
  right: 0;
  top: 0;
  width: 30%;
  z-index: 2;
}

.grow {
  flex-grow: 1;
}

.h-100,
.h-100 * {
  height: 100%;
}

.h-50 {
  height: 50%;
}

.hidden {
  display: none;
}

.hidden-row-without-print {
  display: none;
}

.hidden-without-print {
  display: none;
}

.invalid {
  border: 2px solid brown;
}

.justify-center {
  justify-content: center;
}

.left {
  align-self: flex-start;
  text-align: left;
}

.m-0>* {
  margin: 0;
}

.m-1>* {
  margin: 1em;
}

.m-2>* {
  margin: 2em;
}

.m-3>* {
  margin: 3em;
}

.m-auto {
  margin: auto;
}

.m-small>* {
  margin: 2px;
}

.mask {
  background-color: rgba(0, 0, 0, 0.5);
  bottom: 0;
  left: 0;
  position: fixed;
  right: 0;
  top: 0;
  z-index: 1;
}

.menu {
  background-color: var(--color3);
  color: white;
}

.menu a {
  border-radius: 2em;
  color: white;
  padding: 1em 2em;
  text-decoration: none;
}

.menu a:hover {
  background-color: var(--color2);
}

.min-w-250 {
  min-width: 250px;
}

.notification {
  background-color: var(--color3);
  color: white;
  left: 0;
  padding: 1em;
  position: fixed;
  right: 0;
  text-align: center;
  top: 0;
  z-index: 1000;
}

.nowrap {
  flex-wrap: nowrap;
  white-space: nowrap;
}

.p-0 {
  padding: 0;
}

.p-1 {
  padding: 1em;
}

.p-2 {
  padding: 2em;
}

.p-3 {
  padding: 3em;
}

.print-mode button {
  display: none;
}

.print-mode input {
  background-color: transparent;
  border: none;
}

.print-mode textarea {
  background-color: transparent;
  border: none;
  resize: none;
}

.print-mode .hidden-row-without-print {
  display: table-row;
}

.print-mode .hidden-without-print {
  display: inherit;
}

.radius {
  border-radius: 5vmin;
}

.table {
  border-collapse: collapse;
  width: 100%;
}

.table-fixed {
  table-layout: fixed;
}

.table th,
.table td {
  border: 1px solid #ddd;
  padding: 0.5em 1em;
}

.table th {
  background-color: var(--color3);
  color: white;
}

.table tr:nth-child(even) {
  background-color: var(--color1);
}

.table tr:hover {
  background-color: var(--color4);
  color: black;
}

.table thead {
  position: sticky;
  top: 0;
  z-index: 1;
}

.table textarea {
  color: inherit;
  height: 3em;
  vertical-align: middle;
  width: 100%;
}

.t-none input[type="text"],
.t-none input[type="password"] {
  background-color: transparent;
  border: none;
  outline: none;
}

.text-center {
  text-align: center;
}

.textinput {
  appearance: auto;
  background-color: transparent;
  border: none;
  color: inherit;
  cursor: text;
  display: flex;
  font-size: medium;
  letter-spacing: normal;
  line-height: normal;
  margin: 0em;
  min-height: 40.8px;
  padding: 0px;
  padding-block: 0px;
  padding-inline: 0px;
  text-align: start;
  text-indent: 2ex;
  text-rendering: auto;
  text-shadow: none;
  text-size-adjust: 100%;
  text-transform: none;
  width: 0px;
  word-spacing: normal;
}

.textinput:focus {
  outline: none;
}

.vh-100 {
  height: 100vh;
}

.w-100 {
  width: 100%;
}

.w-max {
  width: max-content;
}

input[type="checkbox"] {
  height: 1.5em;
  width: 1.5em;
}